:root {
    --red: #C12A2C;
    --cream: #F2F2D8;
    --blue: #4461B0;
    --black: #111111;
}

* {
    box-sizing: border-box;
}

html,
body {
    overscroll-behavior: none;
    margin: 0;
    padding: 0;
    min-height: 100%;
    background: var(--red);
    padding-bottom: env(safe-area-inset-bottom);
    padding-top: env(safe-area-inset-top);
    /* ton rouge */
}


/* Body plein écran */
body {
    background: var(--red);
}

/* Empêche le blanc lors du scroll/bounce (iOS) */
html {
    background-color: var(--red);
}

/* Optionnel mais recommandé */
main {
    min-height: 100vh;
}


/* fonts */
.abcFont-bold {
    font-family: 'abcFont-bold', sans-serif;
}

.abcFont-regular {
    font-family: 'abcFont-regular', sans-serif;
}

/* style */
.uppercase {
    text-transform: uppercase;
}

.text-center {
    text-align: center;
}

.body-20 {
    font-size: 20px;
    letter-spacing: -0.2px;
    line-height: 110%
}

.body-18 {
    font-size: 18px;
    letter-spacing: -0.2px;
    line-height: 110%
}

.body-16 {
    font-size: 16px;
    letter-spacing: -0.2px;
    line-height: 110%
}

.body-12 {
    font-size: 12px;
    letter-spacing: -0.2px;
    line-height: 110%
}

.body-8 {
    font-size: 8px;
    letter-spacing: -0.2px;
    line-height: 110%
}


main {
    width: 100%;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    background-color: var(--red);
    padding: 16px;
    /* Added padding for smaller screens */
    box-sizing: border-box;
    /* Ensure padding is included in width/height */
}

.player {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 8px;
}

#playBtn {
    text-decoration: none;
    color: var(--black);
    padding: 8px 12px;
}


.player>div img {
    width: 100%;
    /* Make image responsive */
    max-width: 500px;
    /* Limit max width */
    height: auto;
    /* Maintain aspect ratio */
    object-fit: cover;
    animation: rotate 10s linear infinite;
    pointer-events: none;
    align-items: center;
}



@keyframes rotate {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

/* Media queries for responsiveness */
@media (max-width: 768px) {
    .player>div img {
        width: 100%;
        /* Make image responsive */
        max-width: 272px;
        /* Limit max width */
    }
}

@media (max-width: 480px) {
    main {
        padding: 8px;
        /* Reduce padding for very small screens */
    }
}